package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag191;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT191Creator;

public class Tag21Creator extends AbsTagCreate {
    private MT191Creator mt191Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt191Creator= (MT191Creator) absMTCreator;
    }

    public void creator()
    {
        String tag21Value = mt191Creator.getRelatedReference();
        mt191Creator.set("21", tag21Value);
    }
}
